import '@mantine/core/styles.css';
import "./global.css"

import React from 'react';
import {AppShell, ColorSchemeScript, mantineHtmlProps, MantineProvider} from '@mantine/core';

export default function RootLayout({children}: { children: any }) {
    return (
        <html lang="en" {...mantineHtmlProps}>
        <head>
            <ColorSchemeScript defaultColorScheme="dark"/>
            <link rel="shortcut icon" href="/gate_logo.svg"/>
            <meta
                name="viewport"
                content="minimum-scale=1, initial-scale=1, width=device-width, user-scalable=no"
            />
        </head>
        <body>
        <MantineProvider defaultColorScheme="dark" withGlobalClasses>
            <AppShell>
                {children}
            </AppShell>
        </MantineProvider>
        </body>
        </html>
    );
}
