import React from 'react';
import {
    AppShell,
    AppShellHeader,
    AppShellMain,
    Button,
    Image,
    PasswordInput,
    Stack,
    TextInput,
    Title
} from "@mantine/core";
import {Header} from "@/components/header";
import NextImage from "next/image";

export const metadata = {
    title: 'Вход в аккаунт',
    description: '',
};

const Page = () => {
    return (
        <AppShell header={{height: 70}}>
            <AppShellHeader>
                <Header state="pending"/>
            </AppShellHeader>
            <AppShellMain>
                <Stack align="center" justify="center" w="fit-content" m="auto" mt="10%" p="md"
                       className="black_and_white">
                    <Image component={NextImage} src="/gate_logo.svg" alt="Gate logo" width="40" height="40"
                           maw="40" mah="40"/>
                    <Title>Войти в Gate</Title>
                    <Stack w="100%" gap="0">
                        <TextInput label="Username" placeholder="Username" w="250"/>
                        <PasswordInput label="Пароль" placeholder="Пароль" w="250"/>
                    </Stack>
                    <Button>Войти</Button>
                </Stack>
            </AppShellMain>
        </AppShell>
    );
};

export default Page;
